Subject: unistd.h problem in t/lex-header.sh

From: Peter Rosin <[email-masked]>
Date: Wed, 29 May 2013 02:08:20 +0200

Hi!

When t/lex-header.sh tries to compile main.c on the master branch, it fails
like this snippet below, since MSVC does not have unistd.h. I suppose main.c
should add

	#define YY_NO_UNISTD_H 1

before it includes mylex.h? Or is this something else? I know very little
about lexers...

Cheers,
Peter

log snippet follows:

source='main.c' object='main.obj' libtool=no \
	DEPDIR=.deps depmode=msvc7msys /bin/sh ./depcomp \
	/home/peda/automake/lib/compile cl -nologo -DPACKAGE_NAME=\"lex-header\" -DPACKAGE_TARNAME=\"lex-header\" -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"lex-header\ 1.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"lex-header\" -DVERSION=\"1.0\" -I.      -c -o main.obj  $(echo main.c)
main.c
mylex.h(228) : fatal error C1083: Cannot open include file: 'unistd.h': No such file or directory
make[1]: *** [main.obj] Error 2